# Avocode design hand-off plugin

## Installation

Start by unzipping the ZIP file. Then move the contents to `~/Library/Application Support/Adobe/CEP/extensions/com.madebysource.avocode.extension` on macOS
or to `C:\Users\<username>\AppData\Roaming\Adobe\CEP\extensions\com.madebysource.avocode.extension` on Windows.

For the Avocode plugin to work properly, you also need Avocode desktop app. [Download it](https://avocode.com/download) and log in with your Avocode account.

If you don't have an Avocode account yet, you can create one [at avocode.com/signup](https://avocode.com/signup).

## Design sync

Open a design in Adobe Photoshop or Adobe Illustrator, go to Window/Extensions and click on Avocode.

Avocode plugin window will show up.

Save the file. In case of Adobe Illustrator file make sure to save it as PDF compatible.

Click SYNC NOW in the Avocode plugin.

Avocode desktop app will automatically open (even when it's turned off) and you will be able to select a Project or a Subfolder where you'd like to import the file.

Once the upload and processing is done, all your team members will be notified that there is a new design (if they have enabled e-mail notifications and/or set up the Slack notifications integration).

NOTE: You can keep working in Photoshop during the upload. You can watch the upload progress on the Avocode icon in your Dock. Please don't close the Avocode app during the design upload.

Now you can double-click on the design to open it in Avocode to get specs, export assets and code.
